import View, { getLocals, type Locals } from "./views/View.ts";
import config, { isIgnored } from "./config.ts";
import { list } from "./main.ts";
import { getPlugin, type Plugin } from "./plugins.ts";
import { resolveViewFromUri, resolveView } from "./views/resolution.ts";

export { View, config, isIgnored, list, getPlugin, resolveView, resolveViewFromUri, getLocals, type Plugin, type Locals };

export default {
    View,
    config,
    isIgnored,
    get locals() { return getLocals(); }
}